Decode a function call data, error, or event logAsk AIpost https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/contract_address/{contractAddress}/decodeDecode a function call data, error, or event log from a deployed contract by blockchain native asset id and contract address.Path ParamscontractAddressstringrequiredThe contract's onchain addressbaseAssetIdstringrequiredThe blockchain native asset identifierBody ParamsdataContractDataEncodedDataStringContractDataLogDataParamrequiredThe data to decode, which can be a string or an object containing the data and its type.dataTypestringenumrequiredThe type of the data to decode.ERRORLOGFUNCTIONAllowed:ERRORLOGFUNCTIONabiarray of objectsThe abi of the function/error/log to decode.abiADD objectHeadersIdempotency-KeystringA unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.Responses 200Decoded data retrieved successfully 400Bad request, invalid input data or parameters defaultError ResponseUpdated 5 months ago